%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  raters
%global packver   2.1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          2.1.1
Release:          1%{?dist}%{?buildtag}
Summary:          A Modification of Fleiss' Kappa in Case of Nominal and Ordinal Variables

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch

%description
The kappa statistic implemented by Fleiss is a very popular index for
assessing the reliability of agreement among multiple observers. It is
used both in the psychological and in the psychiatric field. Other fields
of application are typically medicine, biology and engineering.
Unfortunately,the kappa statistic may behave inconsistently in case of
strong agreement between raters, since this index assumes lower values
than it would have been expected. We propose a modification kappa
implemented by Fleiss in case of nominal and ordinal variables. Monte
Carlo simulations are used both to testing statistical hypotheses and to
calculating percentile bootstrap confidence intervals based on proposed
statistic in case of nominal and ordinal data.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
